summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author crocket <crockabiscuit@yahoo.com>2010-12-28 15:06:49 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-03-14 17:43:03 -0500
commit059e84ac21b5b22efc9a02370f43193e4df5f279 (patch)
treec4bc8d46bb23bcc95b4202bb1a1b8a6d7bd26db6
parent14b97b9df3f67cffbb5791166e877b90e6c3b31c (diff)
downloadslackbuilds-059e84ac21b5b22efc9a02370f43193e4df5f279.tar.gz
slackbuilds-059e84ac21b5b22efc9a02370f43193e4df5f279.tar.xz
libraries/compizconfig-backend-gconf: Added (compiz gconf backend)
This one has sat and marinated in a lonely git branch by itself for a while, with the idea that we would do some more work on it. Alas, that hasn't happened, so here it is anyway... Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/compizconfig-backend-gconf/README14
-rw-r--r--libraries/compizconfig-backend-gconf/compizconfig-backend-gconf.SlackBuild83
-rw-r--r--libraries/compizconfig-backend-gconf/compizconfig-backend-gconf.info10
-rw-r--r--libraries/compizconfig-backend-gconf/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/libraries/compizconfig-backend-gconf/README b/libraries/compizconfig-backend-gconf/README
new file mode 100644
index 0000000000..f18d441b28
--- /dev/null
+++ b/libraries/compizconfig-backend-gconf/README
@@ -0,0 +1,14 @@
+compizconfig-backend-gconf (compiz gconf backend)
+
+This is the GConf backend for CompizConfig. It uses the GConf
+configuration system to store the compiz configuration and provides
+integration into the desktop environment.
+If you compiled compiz against metacity, specified 'gtk-window-decorator'
+as the window decoration plugin in ccsm, use metacity, and want to put
+shadows around windows borders, compizconfig-backend-gconf is needed.
+
+If you want shadows around windows borders of metacity, then rebuild
+compiz against metacity, install this, and choose the GConf Configuration
+Backend in the ccsm preferences.
+
+This requires GConf and libcompizconfig.
diff --git a/libraries/compizconfig-backend-gconf/compizconfig-backend-gconf.SlackBuild b/libraries/compizconfig-backend-gconf/compizconfig-backend-gconf.SlackBuild
new file mode 100644
index 0000000000..6d63fb0f3c
--- /dev/null
+++ b/libraries/compizconfig-backend-gconf/compizconfig-backend-gconf.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for compizconfig-backend-gconf
+
+# Written by crocket (crockabiscuit@yahoo.com)
+
+PRGNAM=compizconfig-backend-gconf
+VERSION=${VERSION:-0.8.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --enable-static=no \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/compizconfig-backend-gconf/compizconfig-backend-gconf.info b/libraries/compizconfig-backend-gconf/compizconfig-backend-gconf.info
new file mode 100644
index 0000000000..45d390b179
--- /dev/null
+++ b/libraries/compizconfig-backend-gconf/compizconfig-backend-gconf.info
@@ -0,0 +1,10 @@
+PRGNAM="compizconfig-backend-gconf"
+VERSION="0.8.4"
+HOMEPAGE="http://www.compiz.org/"
+DOWNLOAD="http://releases.compiz.org/0.8.4/compizconfig-backend-gconf-0.8.4.tar.bz2"
+MD5SUM="3149b45d1099c26735f3b6a91d946b1b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="crocket"
+EMAIL="crockabiscuit@yahoo.com"
+APPROVED="rworkman"
diff --git a/libraries/compizconfig-backend-gconf/slack-desc b/libraries/compizconfig-backend-gconf/slack-desc
new file mode 100644
index 0000000000..c1301d247c
--- /dev/null
+++ b/libraries/compizconfig-backend-gconf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+compizconfig-backend-gconf: compizconfig-backend-gconf (compiz gconf backend)
+compizconfig-backend-gconf:
+compizconfig-backend-gconf: This is the gconf backend for CompizConfig.
+compizconfig-backend-gconf:
+compizconfig-backend-gconf: It uses the Gconf configuration system to store the compiz
+compizconfig-backend-gconf: configuration and provides integration into the desktop environment.
+compizconfig-backend-gconf:
+compizconfig-backend-gconf: Homepage: http://www.compiz.org/
+compizconfig-backend-gconf:
+compizconfig-backend-gconf:
+compizconfig-backend-gconf: